package com.kexue.skills.mapper;

import com.kexue.skills.entity.CmsCategory;
import com.kexue.skills.entity.dto.CmsCategoryDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (CmsCategory)表数据库访问层
 *
 * @author 王志维
 * @since 2025-02-21 23:01:48
 */
@Mapper
public interface CmsCategoryMapper {
    /**
     * 分页查询
     *
     * @param queryDto 筛选条件
     * @return 查询结果
     */
    List<CmsCategory> getPageList(CmsCategoryDto queryDto);

    /**
     * 查询列表
     *
     * @param queryDto 筛选条件
     * @return 查询结果
     */
    List<CmsCategory> getList(CmsCategoryDto queryDto);

    /**
     * 通过ID查询单条数据
     *
     * @param categoryId 主键
     * @return 实例对象
     */
    CmsCategory queryById(Long categoryId);

    /**
     * 新增数据
     *
     * @param cmsCategory 实例对象
     * @return 影响行数
     */
    int insert(CmsCategory cmsCategory);

    /**
     * 更新数据
     *
     * @param cmsCategory 实例对象
     * @return 影响行数
     */
    int update(CmsCategory cmsCategory);

    /**
     * 通过主键逻辑删除
     *
     * @param categoryId 主键
     * @return 影响行数
     */
    int logicDeleteById(@Param("categoryId") Long categoryId, @Param("updateBy") String updateBy);

    /**
     * 通过主键物理删除
     *
     * @param categoryId 主键
     * @return 影响行数
     */
    int deleteById(Long categoryId);
}